Frame Grabber Supported Versions for NI-IMAQ Devices and Modules

Publish Date: Apr 21, 2017 | 0 Ratings | 0.00 out of 5 | Print

Overview

This page shows the supported versions of Frame Grabber are required with NI-IMAQ Devices and Modules. Reference this information to ensure you install the correct driver version when upgrading or updating your system, when migrating or porting code to a new system, or after the purchase and installation of new NI hardware. Using incompatible versions may result in errors, the inability for your operating system to recognize or detect and then find a driver for your device, or missing devices in NI Measurement & Automation Explorer (MAX).

Note that this article replaces KnowledgeBase 4N0B2IGL: What Version of NI-IMAQ Does My Frame Grabber Support?. Some NI manuals may still reference the previous document. If you were redirected from the previous KnowledgeBase URL, please update your bookmarks accordingly.

Table of Contents

  1. Frame Grabber and IMAQ Versions 4.3 and Higher
  2. Frame Grabber Compatibility for IMAQ Versions 3.0 to 4.1
  3. Frame Grabber and IMAQ Versions 2.6.1 and Earlier
  4. Additional Resources

1. Frame Grabber and IMAQ Versions 4.3 and Higher

Use this table to compare Frame Grabber and IMAQ versions higher than 4.3
NI-IMAQ Hardware NI-IMAQ Version
4.7* 4.6* 4.5* 4.4* 4.3*
Camera Link          
PCI-1426          
PCIe-1427          
PCI/PXI-1428          
PCIe-1429          
PCIe-1430          
PCIe-1433          
PXIe-1435          
Analog          
PCI-1405          
PCI/PXI-1407          
PCI/PXI-1408          
PCI/PXI-1409          
PCI-1410          
PCI/PXI-1411          
Parallel Digital          
PCI/PXI-1422          
PCI/PXI-1424          


Back to Top

2. Frame Grabber Compatibility for IMAQ Versions 3.0 to 4.1

Use this table to compare Frame Grabber Compatibility for IMAQ Versions 3.0 to 4.1
NI-IMAQ Hardware NI-IMAQ Version
4.1* 4.0* 3.8* 3.7.1* 3.7* 3.6* 3.5.1* 3.5 3.1.1 3.1 3.0.1 3
Camera Link                        
PCI-1426                        
PCIe-1427                        
PCI/PXI-1428                        
PCIe-1429                        
PCIe-1430                        
PCIe-1433                        
PXIe-1435                        
Analog                        
PCI-1405                        
PCI/PXI-1407                        
PCI/PXI-1408                        
PCI/PXI-1409                        
PCI-1410                        
PCI/PXI-1411                        
Parallel Digital                        
PCI/PXI-1422                        
PCI-1421                        


Back to Top

3. Frame Grabber and IMAQ Versions 2.6.1 and Earlier

Use this table to compare Frame Grabber and IMAQ versions earlier than 2.6.1
NI-IMAQ Hardware NI-IMAQ Version
2.6.1 2.6 2.5.1 2.5 2.2.1 2.2 1.5
Camera Link              
PCI-1426              
PCIe-1427              
PCI/PXI-1428              
PCIe-1429              
PCIe-1430              
PCIe-1433              
PXIe-1435              
Analog              
PCI-1405              
PCI/PXI-1407              
PCI/PXI-1408              
PCI/PXI-1409              
PCI-1410              
PCI/PXI-1411              
Parallel Digital              
PCI/PXI-1422              
PCI/PXI-1424              


  Compatible


*-Versions of NI-IMAQ 3.5.1 and higher are now included with a driver bundle called Vision Acquisition Software. Vision Acquisition Software contains NI-IMAQ, NI-IMAQ I/O,and NI-IMAQdx. There are no individual installers for NI-IMAQ for versions 3.5.1 and later.

Note: Later revisions of a board may not work with earlier versions of the driver. For example, the latest revision of the PCI-1424 board may not work with the older versions of the driver. However, an old revision of a board should work with the latest driver that specifically supports the PCI-1424.

Back to Top

4. Additional Resources

Back to Top

Bookmark & Share


Ratings

Rate this document

Answered Your Question?
Yes No

Submit